Issue2621

classification
Title: pyang: jython 2.7.0 setup.py install error
Type: Severity: normal
Components: Core Versions: Jython 2.7
Milestone:
process
Status: pending Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: airshiplay, jeff.allen, stefan.richthofer
Priority: Keywords:

Created on 2017-08-31.05:35:01 by airshiplay, last changed 2018-02-25.20:35:11 by jeff.allen.

Messages
msg11557 (view) Author: airshiplay (airshiplay) Date: 2017-08-31.05:35:01
pyang from https://github.com/mbj4668/pyang

python2.7.10  setup.py install  success!

BUT jython on Windows 7
E:\pyang>java -jar c:\jython2.7.0\jython.jar setup.py install

running install
Traceback (most recent call last):
  File "setup.py", line 64, in <module>
    setup(name='pyang',
  File "C:\jython2.7.0\Lib\distutils\core.py", line 152, in setup
    dist.run_commands()
  File "C:\jython2.7.0\Lib\distutils\core.py", line 152, in setup
    dist.run_commands()
  File "setup.py", line 52, in run_commands
    Distribution.run_commands(self)
  File "C:\jython2.7.0\Lib\distutils\dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "C:\jython2.7.0\Lib\distutils\dist.py", line 971, in run_command
    cmd_obj.ensure_finalized()
  File "C:\jython2.7.0\Lib\distutils\cmd.py", line 109, in ensure_finalized
    self.finalize_options()
  File "C:\jython2.7.0\Lib\site-packages\setuptools\command\install.py", line 38
, in finalize_options
    orig.install.finalize_options(self)
  File "C:\jython2.7.0\Lib\distutils\command\install.py", line 386, in finalize_
options
    self.set_undefined_options('build',
  File "C:\jython2.7.0\Lib\distutils\cmd.py", line 298, in set_undefined_options

    src_cmd_obj.ensure_finalized()
  File "C:\jython2.7.0\Lib\distutils\cmd.py", line 109, in ensure_finalized
    self.finalize_options()
  File "C:\jython2.7.0\Lib\distutils\command\build.py", line 118, in finalize_op
tions
    self.executable = os.path.normpath(sys.executable)
  File "C:\jython2.7.0\Lib\ntpath.py", line 402, in normpath
    if path.startswith(('\\\\.\\', '\\\\?\\')):
AttributeError: 'NoneType' object has no attribute 'startswith'
msg11561 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2017-09-05.13:54:33
airshiplay, I took the freedom to slightly modify the title, because this issue has nothing to do with the Jython installer.

Please try with Jython 2.7.1 before we continue here.
msg11716 (view) Author: Jeff Allen (jeff.allen) Date: 2018-02-25.20:35:10
2.7.1 was good advice.

I believe the problem is that with Jython launched this way, sys.executable is None in 2.7.0. This is technically allowed, but not always catered for. 

In 2.7.1 and 2.7.2a1+, sys.executable names the jython.exe in these circumstances (so it's fixed). Keeps popping up, though (#222830, #1069, #2161). For jython-standalone, more or less by definition, there is no right answer.

I suggest we close this. (Shout if I'm wrong.)
History
Date User Action Args
2018-02-25 20:35:11jeff.allensetstatus: open -> pending
resolution: out of date
messages: + msg11716
nosy: + jeff.allen
milestone: Jython 2.7.0 ->
2017-09-05 13:54:34stefan.richthofersetnosy: + stefan.richthofer
messages: + msg11561
title: jython-Installer 2.7.0 setup.py install error -> pyang: jython 2.7.0 setup.py install error
2017-08-31 05:35:01airshiplaycreate